-- Insert standard phases for rules database
-- John Simpson <jms1@jms1.net> 2011-06-13
--
-- $Id: insert-standard-phases.sql 70 2012-07-19 16:58:17Z jms1 $
--
-- This file should work regardless of which database engine you're using.
--
-- NOTE: Before you run this, you must have created the correct tables,
-- usually by running the correct "create-tables.*sql" file.
--
-- ---------------------------------------------------------------------------

INSERT INTO phases ( phase , level , description )
	VALUES ( 1 , 3 , 'System-wide rules, before all others' ) ;

INSERT INTO phases ( phase , level , description )
	VALUES ( 2 , 2 , 'Domain-specific rules, before mailbox rules' ) ;

INSERT INTO phases ( phase , level , description )
	VALUES ( 3 , 1 , 'Mailbox-specific rules' ) ;

INSERT INTO phases ( phase , level , description )
	VALUES ( 4 , 2 , 'Domain-specific rules, after mailbox rules' ) ;

INSERT INTO phases ( phase , level , description )
	VALUES ( 5 , 3 , 'System-wide rules, after all others' ) ;
